//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red
#property indicator_width1 2

extern int Smooth       = 10;
extern int SmoothMethod = MODE_LWMA;

double Buffer1[];
double Buffer2[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
int init()
{
    IndicatorDigits(Digits+1);
    IndicatorBuffers(2);
    SetIndexBuffer(0, Buffer1);
    SetIndexBuffer(1, Buffer2);
    return(0);
}
int deinit()
{
    return(0);
}

//
//
//
//
//


int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //
   
   for(int i=limit; i>=0; i--)
   {
      double dividend = Close[i]-Close[i+1]+Point;
      double divisor  = MathMax(High[i],Close[i+1])-MathMin(Low[i],Close[i+1])+Point;
         if (divisor!=0)
               Buffer2[i] = dividend/divisor*Volume[i];
         else  Buffer2[i] = 0;
   }         
   for(i=limit; i>=0; i--) Buffer1[i] = iMAOnArray(Buffer2,0,Smooth,0,SmoothMethod,i);
   return(0);
}